# type
#   Notebook = object
#     id: string
#     title: string

# var notebooks = newSeq[Notebook]()
# notebooks.add(Notebook(id:"12345", title: "un notebook titre"))

# echo notebooks



type
    Notebook2 = ref object of RootObj
        id: seq[string]
        title: seq[string]
    Notebooks = ref object of Notebook2
        nb_list: seq[int]

var nb: Notebooks

# nb.add(Notebook2(id:"123456", title: "mon titre"))

# nb.id.add("toto")
# nb.title.add("tata")
# nb.nb_list.add(0) 


echo nb.id
echo nb.title
echo nb.nb_list


